SDL_ASSERT_FILE(3)

NAME
SDL_ASSERT_FILE - A macro that reports the current file being compiled, for use in assertions.

SYNOPSIS
#include <SDL3/SDL_assert.h>

#define SDL_ASSERT_FILE SDL_FILE

DESCRIPTION
This macro is only defined if it isn't already defined, so to override it (perhaps with something that doesn't provide path information at all, so build machine information doesn't leak into public binaries), apps can define this macro before including SDL_assert.h. For example, defining this to "" will make sure no source path information is included in asserts.

AVAILABILITY
This macro is available since SDL 3.4.0.